/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.307 Revision 1.361
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.307 2007/10/13 02:47:26 beandog Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.361 2008/12/23 20:20:12 graaff Exp $
4
5 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
6 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
7 Revert the ruby-config changes. We can't remove them until we provide an
8 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
9 for breaking things as mentioned in bug #251833.
10
11 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
12 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
13 ruby-1.8.7_p72-r1.ebuild:
14 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
15 Thanks for the people noticing this in bug #251833.
16
17 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
18 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
19 ruby-1.8.7_p72-r1.ebuild:
20 Drop dependency on ruby-config, which will be removed from the tree. We
21 currently only have one major version of ruby in the tree (Ruby 1.8), so there
22 is no need for ruby-config at this moment. For newer versions of Ruby we will
23 use eselect-ruby, which can be found in the ruby overlay at the moment.
24
25 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
26 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
27 Use mirror://ruby in SRC_URI, fixes #237392.
28
29 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
30 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
31 -ruby-1.8.7_p72.ebuild:
32 Remove old versions. Leave one old stable version with cjk support.
33
34*ruby-1.8.6_p287-r3 (29 Nov 2008)
35
36 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
37 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
38 +ruby-1.8.6_p287-r3.ebuild:
39 Fix our expansion limit patch according to debian bug report
40 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
41 make sure people will pick up the fixed version. Thanks to Alex Legler for
42 mentioning the patch.
43
44*ruby-1.8.7_p72-r1 (26 Nov 2008)
45*ruby-1.8.6_p287-r2 (26 Nov 2008)
46
47 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
48 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
49 +ruby-1.8.7_p72-r1.ebuild:
50 Fix problem with shortname constants #247790, already fixed in upstream SVN.
51 Thanks to Alex Legler for providing the patch.
52
53 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
54 -ruby-1.8.6_p287.ebuild:
55 Remove versions that will not become stable
56
57 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
58 ruby-1.8.6_p287-r1.ebuild:
59 ppc stable, bug #225465
60
61 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
62 ruby-1.8.6_p287-r1.ebuild:
63 amd64 stable wrt security bug #225465
64
65 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
66 alpha/ia64/x86 stable wrt #225465
67
68 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
69 ruby-1.8.6_p287-r1.ebuild:
70 Sparc stable --- Security Bug #225465 --- good since late August.
71
72 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
73 Stable on ppc64; bug #225465
74
75 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
76 Stable for HPPA (bug #225465).
77
78*ruby-1.8.6_p287-r1 (29 Aug 2008)
79
80 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
81 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
82 +ruby-1.8.6_p287-r1.ebuild:
83 Fix REXML security issues, bug #236060.
84
85 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
86 Add GLEP 56 USE flag descriptions.
87
88*ruby-1.8.7_p72 (15 Aug 2008)
89
90 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
91 +ruby-1.8.7_p72.ebuild:
92 bump 1.8.7 to latest patch release
93
94*ruby-1.8.6_p287 (11 Aug 2008)
95
96 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
97 Version bump for brown paper bag relelease.
98
99 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
100 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
101 Remove broken version in favor of the just-added 1.8.6_p286
102
103*ruby-1.8.6_p286 (10 Aug 2008)
104
105 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
106 Version bump to latest released version of ruby 1.8.6. This version fixes the
107 security issues reported in #225465 and #234224. The cjk USE flag has been
108 dropped since no compatible patches have been released yet.
109
110 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
111 ruby-1.8.6_p230.ebuild:
112 drop cjk from SRC_URI as well
113
114 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
115 Drop cjk support since the most recent oniguruma patches no longer apply to
116 this version, #230111.
117
118 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
119 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
120 Try to fix the security issues reported in #225465 for ruby 1.8.6.
121 Unfortunately the official p230 has a change which causes segmentation faults
122 for applications like Rails and RSpec, so we are reverting that specific
123 change.
124
125*ruby-1.8.7_p22 (29 Jun 2008)
126
127 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
128 +ruby-1.8.7_p22.ebuild:
129 bump 1.8.7 for security fix
130
131 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
132 nevermind, don't bump this yet
133
134*ruby-1.8.6_p230 (20 Jun 2008)
135
136 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
137 version bump
138
139*ruby-1.8.7 (10 Jun 2008)
140
141 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
142 +ruby-1.8.7.ebuild:
143 bump 1.8.7 to final
144
145*ruby-1.8.7_pre2 (21 Apr 2008)
146
147 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
148 +ruby-1.8.7_pre2.ebuild:
149 Version Bump
150
151*ruby-1.8.7_pre1 (16 Apr 2008)
152
153 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
154 Version bump. Drop cjk until a new version of oniguruma appears.
155
156 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
157 amd64 stable, bug 212264
158
159 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
160 Stable for HPPA (bug #212264).
161
162 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
163 ruby-1.8.6_p114.ebuild:
164 ppc stable, bug #212264
165
166 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
167 alpha/ia64 stable wrt #212264
168
169 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
170 ruby-1.8.6_p114.ebuild:
171 stable x86, security bug 212264
172
173 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
174 Sparc stable, Security Bug #212264, builds and installs, initial tests run
175 as expected.
176
177 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
178 Marking ruby-1.8.6_p114 ppc64 for bug 212264
179
180*ruby-1.8.6_p114 (05 Mar 2008)
181
182 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
183 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
184 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
185 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
186 Version bump for #212264. Remove old ebuilds.
187
188 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
189 alpha/ia64 stable wrt #208916
190
191 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
192 Stable on ppc wrt bug 208916
193
194 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
195 x86 stable, bug #208916
196
197 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
198 ruby-1.8.6_p111-r1.ebuild:
199 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
200
201 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
202 -files/ruby-1.8.6-exit-status.patch,
203 -files/ruby-1.8.6_p110-net-http-p111.patch,
204 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
205 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
206 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
207 Remove old versions
208
209 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
210 Stable on ppc64
211
212 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
213 Stable on amd64; bug 199191
214
215 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
216 alpha/ia64/sparc stable wrt #199191
217
218 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
219 Remove now-obsolete warning about coreutils versions, #203156.
220
221 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
222 Stable for HPPA (bug #199191).
223
224*ruby-1.8.6_p111-r1 (23 Dec 2007)
225
226 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
227 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
228 ssl USE flags. Patch to p113.
229
230 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
231 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
232
233 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
234 x86 stable, security bug #199191
235
236*ruby-1.8.6_p111 (23 Dec 2007)
237
238 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
239 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
240 Version bump with patch for bug #199191
241
242 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
243 Move dependency on (X)Emacs modes to PDEPEND.
244
245 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
246 Add back ~hppa keyword now that XEmacs support files have been keyworded,
247 bug 196413
248
249*ruby-1.8.6_p110-r2 (21 Oct 2007)
250
251 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
252 +ruby-1.8.6_p110-r2.ebuild:
253 Add emacs and xemacs USE flags and use them to pull in the correct editing
254 mode for each. Had to drop several arch keywords as reported on bug 196413.
4 255
5 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild: 256 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
6 amd64 stable, security bug 194236 257 amd64 stable, security bug 194236
7 258
8 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild, 259 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,

Legend:
Removed from v.1.307  
changed lines
  Added in v.1.361

  ViewVC Help
Powered by ViewVC 1.1.20